> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tenant Note

> Update an existing tenant note



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json patch /v2/admin/tenants/notes/{id}
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/tenants/notes/{id}:
    patch:
      tags:
        - Tenant Notes
      summary: Update Tenant Note
      description: Update an existing tenant note
      parameters:
        - schema:
            type: string
            pattern: ^[1-9]\d*$
          in: path
          name: id
          required: true
          description: Note ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                note:
                  type: string
                  minLength: 3
                  description: Note content
              additionalProperties: false
      responses:
        '200':
          description: Updated tenant note
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                    description: Note ID
                  tenantId:
                    type: number
                    description: Tenant ID
                  userId:
                    type: number
                    description: Author user ID
                  name:
                    type: string
                    description: Author name
                  note:
                    type: string
                    description: Note content
                  createdAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Creation timestamp
                  updatedAt:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Last update timestamp
                required:
                  - id
                  - tenantId
                  - userId
                  - name
                  - note
                  - createdAt
                  - updatedAt
                additionalProperties: false
        '400':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '403':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
        '404':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````